Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.enterprise.sync
Class Manifest

    java.lang.Object
      com.dbxml.db.enterprise.sync.Manifest

public final class Manifest
extends java.lang.Object

Manifest represents a Content update manifest.

Constructor Summary
`Manifest(org.w3c.dom.Document doc)`
`Manifest(org.w3c.dom.Element elem)`

Method Summary
`Content` | `getContent(java.lang.String path)`
`java.util.Date` | `getDate()`
`java.lang.String[]` | `getGroupContent(java.lang.String group)`
`java.lang.String[]` | `getGroupNames()`
`int` | `getGroupStatus(java.lang.String group)`
`double` | `getGroupVersion(java.lang.String group)`
`void` | `setDate(java.util.Date date)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Manifest

    public Manifest(org.w3c.dom.Document doc)

### Manifest

    public Manifest(org.w3c.dom.Element elem)

Method Detail

### getDate

    public java.util.Date getDate()

### setDate

    public void setDate(java.util.Date date)

### getContent

    public Content getContent(java.lang.String path)

### getGroupNames

    public java.lang.String[] getGroupNames()

### getGroupVersion

    public double getGroupVersion(java.lang.String group)

### getGroupStatus

    public int getGroupStatus(java.lang.String group)

### getGroupContent

    public java.lang.String[] getGroupContent(java.lang.String group)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group